package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@ApiModel(value = "StandardInspectionItemRelation", description = "标准-检验项关系")
@TableName(value ="t_standard_inspection_item_relation", autoResultMap = true)
@Accessors(chain = true)
@Data
public class StandardInspectionItemRelation {

    @ApiModelProperty("主键")
    @TableId(type = IdType.ASSIGN_ID)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /**
     * 标准id
     */
    @ApiModelProperty("标准id")
    private Long standardId;

    /**
     * 检验项id
     */
    @ApiModelProperty("检验项id")
    private Long dictCode;
}
